| Home | Libraries | People | FAQ | More

## Struct template deep_copy

boost::proto::result_of::deep_copy — A metafunction for calculating the return type of `proto::deep_copy()`.

## Synopsis

    // In header: <boost/proto/deep_copy.hpp>

    template<typename Expr>
    struct deep_copy {
      // types
      typedef unspecified type;
    };

## Description

A metafunction for calculating the return type of `proto::deep_copy()`. The type parameter `Expr` should be the type of a Proto expression tree. It should not be a reference type, nor should it be cv-qualified.